org.icefaces.ace.util

## Class IceOutputResource

- java.lang.Object
- - javax.faces.application.Resource
  - - org.icefaces.ace.util.IceOutputResource

- All Implemented Interfaces:
    java.io.Serializable

      public class IceOutputResource
      extends javax.faces.application.Resource
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `libraryName`
    `protected java.lang.String` | `name`
    `protected java.lang.String` | `scope`
    `protected static java.util.Map<java.lang.String,java.lang.String>` | `supportedMimeTypes`

    - ### Fields inherited from class javax.faces.application.Resource

      `COMPONENT_RESOURCE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IceOutputResource(java.lang.String name, java.lang.Object o, java.lang.String mimeType)`
    `IceOutputResource(java.lang.String name, java.lang.String libraryName, java.lang.Object o, java.lang.String mimeType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getInputStream()`
    `java.lang.String` | `getRequestPath()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getResponseHeaders()`
    `java.net.URL` | `getURL()`
    `java.lang.String` | `toString()`
    `boolean` | `userAgentNeedsUpdate(javax.faces.context.FacesContext arg0)`

    - ### Methods inherited from class javax.faces.application.Resource

      `getContentType, getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### supportedMimeTypes

          protected static final java.util.Map<java.lang.String,java.lang.String> supportedMimeTypes

    - #### name

          protected java.lang.String name

    - #### libraryName

          protected java.lang.String libraryName

    - #### scope

          protected java.lang.String scope

  - ### Constructor Detail

    - #### IceOutputResource

          public IceOutputResource(java.lang.String name,
                                   java.lang.Object o,
                                   java.lang.String mimeType)

    - #### IceOutputResource

          public IceOutputResource(java.lang.String name,
                                   java.lang.String libraryName,
                                   java.lang.Object o,
                                   java.lang.String mimeType)

  - ### Method Detail

    - #### getInputStream

          public java.io.InputStream getInputStream()
                                             throws java.io.IOException

      Specified by:
        `getInputStream` in class `javax.faces.application.Resource`
      Throws:
        `java.io.IOException`

    - #### getRequestPath

          public java.lang.String getRequestPath()

      Specified by:
        `getRequestPath` in class `javax.faces.application.Resource`

    - #### getResponseHeaders

          public java.util.Map<java.lang.String,java.lang.String> getResponseHeaders()

      Specified by:
        `getResponseHeaders` in class `javax.faces.application.Resource`

    - #### getURL

          public java.net.URL getURL()

      Specified by:
        `getURL` in class `javax.faces.application.Resource`

    - #### userAgentNeedsUpdate

          public boolean userAgentNeedsUpdate(javax.faces.context.FacesContext arg0)

      Specified by:
        `userAgentNeedsUpdate` in class `javax.faces.application.Resource`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `javax.faces.application.Resource`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.